<?php

if ( $_SERVER['REQUEST_METHOD']=='GET' && realpath(__FILE__) == realpath( $_SERVER['SCRIPT_FILENAME'] ) ) {
       echo "não rodando no cron";
    }

    if ( $_SERVER['REQUEST_METHOD']!='GET' && realpath(__FILE__) != realpath( $_SERVER['SCRIPT_FILENAME'] ) ) {
    	echo "rodando no cron";
    }

    echo "errou";